Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Attributes
tlp::MousePanNZoomNavigator Class Reference
Mouse_interactor

`#include <MouseInteractors.h>`

Inheritance diagram for tlp::MousePanNZoomNavigator:
[legend]
Collaboration diagram for tlp::MousePanNZoomNavigator:
[legend]

List of all members.

## Public Member Functions

- MousePanNZoomNavigator ()
- ~MousePanNZoomNavigator ()
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Protected Attributes

- float cameraScaleFactor
- bool isGesturing

## Detailed Description

An interactor class allowing to zoom and pan using the mouse wheel.

## Constructor & Destructor Documentation

tlp::MousePanNZoomNavigator::MousePanNZoomNavigator | ( |  | ) | `[inline]`

tlp::MousePanNZoomNavigator::~MousePanNZoomNavigator | ( |  | ) | `[inline]`

## Member Function Documentation

InteractorComponent* tlp::MousePanNZoomNavigator::clone | ( |  | ) | `[inline, virtual]`

Clone this interactor component

Implements tlp::InteractorComponent.

Reimplemented in tlp::MouseNKeysNavigator.

bool tlp::MousePanNZoomNavigator::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  |

Reimplemented in tlp::MouseNKeysNavigator.

## Member Data Documentation

float tlp::MousePanNZoomNavigator::cameraScaleFactor`[protected]`

bool tlp::MousePanNZoomNavigator::isGesturing`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012